---
title: '-webkit-mask-position-y'
slug: Web/CSS/-webkit-mask-position-y
tags:
  - CSS
  - CSS Masking
  - CSS Property
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <code>-webkit-mask-position-y</code> CSS property sets the initial vertical position of a mask image.</p>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
-webkit-mask-position-y: top;
-webkit-mask-position-y: center;
-webkit-mask-position-y: bottom;

/* &lt;percentage&gt; values */
-webkit-mask-position-y: 100%;
-webkit-mask-position-y: -50%;

/* &lt;length&gt; values */
-webkit-mask-position-y: 50px;
-webkit-mask-position-y: -1cm;

/* Multiple values values */
-webkit-mask-position-y: 50px, 25%, -3em;

/* Global values */
-webkit-mask-position-y: inherit;
-webkit-mask-position-y: initial;
-webkit-mask-position-y: unset;
</pre>

<p>{{cssinfo}}</p>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;length-percentage&gt;</code></dt>
 <dd>A length indicating the position of the top side of the image relative to the box's top padding edge. Percentages are calculated against the vertical dimension of the box padding area. A value of <code>0%</code> means the top edge of the image is aligned with the box's top padding edge and a value of <code>100%</code> means the bottom edge of the image is aligned with the box's bottom padding edge.</dd>
 <dt><code><strong>top</strong></code></dt>
 <dd>Equivalent to <code>0%</code>.</dd>
 <dt><code><strong>bottom</strong></code></dt>
 <dd>Equivalent to <code>100%</code>.</dd>
 <dt><code><strong>center</strong></code></dt>
 <dd>Equivalent to <code>50%</code>.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Vertically_positioning_a_mask_image">Vertically positioning a mask image</h3>

<pre class="brush:css notranslate">.exampleOne {
  -webkit-mask-image: url(mask.png);
  -webkit-mask-position-y: bottom;
}

.exampleTwo {
  -webkit-mask-image: url(mask.png);
  -webkit-mask-position-y: 25%;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-webkit-mask-position-y")}}</p>

<h2 id="See_also">See also</h2>

<p>{{cssxref("-webkit-mask-position")}}, {{cssxref("-webkit-mask-position-x")}}, {{cssxref("-webkit-mask-origin")}}, {{cssxref("-webkit-mask-attachment")}}</p>
